
Redmine - Feature #10651

Add More Information in Project API listing

2012-04-12 17:58 - Krystof Vasa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Hi,

I would be greatful if more details could be included in the project API listing. In particular, I'd like to know which project has issue

tracking enabled as I need to list projects and for each project list of issues. Currently, I need to try to load the project's issues and

see if the response isn't 403...

Example listing: http://demo.redmine.org/projects.xml

Thanks.

Krystof

Related issues:

Related to Redmine - Patch #17602: Include enabled modules in projects API Closed

History

#1 - 2021-06-06 10:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Redmine 2.6 and later support listing enabled modules of a single project (#17602).

GET /projects/12.xml?include=enabled_modules

#2 - 2021-06-06 10:00 - Go MAEDA

- Related to Patch #17602: Include enabled modules in projects API added
